RubyGems Navigation menu

document_mapper 0.1.8

DocumentMapper is an object mapper for plain text documents. The documents look like the ones used in jekyll (http://github.com/mojombo/jekyll). They consist of a preambel written in YAML (also called YAML front matter), and some content in the format you prefer, e.g. Textile. This enables you to write documents in your favorite editor and access the content and metadata of these in your Ruby scripts.

Gemfile
          gem 'document_mapper', '~> 0.1.8'
  
  
  
  
  
  
  

install
          gem install document_mapper
  
  
  
  
  
  
  

Authors:

  • Ralph von der Heyden

Owners:

Total downloads 11,231

For this version 1,064

Show all versions (9 total)

Required Ruby Version: None

Links:

Versions:

  1. 0.1.8 - October 23, 2012 (11.5 KB)
  2. 0.1.7 - January 29, 2012 (11.5 KB)
  3. 0.1.6 - September 14, 2011 (11.5 KB)
  4. 0.1.5 - July 20, 2011 (11.5 KB)
  5. 0.1.4 - June 23, 2011 (11.5 KB)
Show all versions (9 total)